name: Custom Text
icon: text
wysiwyg: true
preview: text
fields:
  text:
    type: writer
    nodes: false
    placeholder: field.blocks.text.placeholder
  txtcolor:
    extends: fields/colors
  fontsize:
    label: Schrifgröße
    type: range
    step: 0.25
    min: 0.5
    max: 3
    default: 1
    width: 1/3
    help: Werte zwischen 0.5 und 3 der normalen Größe sind erlaubt
  fontfamily:
    label: Schriftart
    type: select
    width: 1/3
    options:
      ghibli: Ghibli
      poppins: Poppins
  fontweight:
    label: Dicke
    type: select
    width: 1/3
    options:
      normal: Regular
      bold: Bold
  pre_class:
    label: Vordefinierte CSS-Klassen
    type: select
    width: 1/2
    help: Hilfreich um das Aussehen der Textes anzupassen ohne Hierarchien zu brechen.
    options:
      meta: Meta-Headline (orange)
      h1: H1 Aussehen
      h2: H2 Aussehen
      h3: H3 Aussehen
      h4: H4 Aussehen
  class:
    label: CSS-Klasse
    width: 1/2
    type: text
    help: Evtl. extra Klasse (muss i.d.R. vom Designer implementiert werden)
